include "includes.h"

#define TASK_STK_SIZE 512
#define N_TASKS       5

OS_STK   TaskStk[N_TASKS][TASK_STK_SIZE];
OS_STK   TaskStartStk[TASK_STK_SIZE];
char     TaskData[N_TASKS];
OS_EVENT *RandomSem;

       void TaskStart(void *data);
static void TaskStartDispInit(void);

void main(void) {
	
	//CLEAR SCREEN
	PC_DispClrScr(DISP_FGND_WHITE + DISP_BGND_BLACK);

	//INIT KERNEL
	OSInit();

	//GENERATE DOS RETURN POINT
	PC_DOSSaveReturn();
	
	//CSWITCH VECTOR
	PC_VectSet(uCOS, OSCtxSw);

	//CREATE TASK STARTER
	OSTaskCreate(TaskStart, (void *)0, &TaskStartStk[TASK_STK_SIZE - 1], 0);
	
	//START MULTITASKING
	OSStart();
}

void TaskStart(void *pdata) {
	
//ALLOCATE STORAGE FOR CPU STATUS REG
#if OS_CRITICAL_METHOD == 3
	OS_CPU_SR  cpu_sr;
#endif
	
	INT16S key;
	
	//AVOID COMPILER ERROR
	pdata = pdata;
	
	//INSTALL CLOCK TICK ISR
	OS_ENTER_CRITICAL();
	PC_VectSet(0x08, OSTickISR);
	PC_SetTickRate(OS_TICKS_PER_SEC);
	OS_EXIT_CRITICAL();
	
	//INIT STATS
	//OSStatInit();
	
	char lfig[15][] = {
	
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               "
	
	};
	
	char rfig[15][] = {
	
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               ",
	"               "
	
	};
	
	
}
